package com.company.ac.client;

import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.TextBox;
import edu.umd.cs.findbugs.annotations.*;
import org.jboss.errai.ioc.client.api.EntryPoint;
import org.jboss.errai.ui.shared.api.annotations.DataField;
import org.jboss.errai.ui.shared.api.annotations.Templated;

import javax.annotation.PostConstruct;
import javax.inject.Inject;

@DefaultAnnotation(NonNull.class)
@Templated("#template")
@EntryPoint
public class AnalyticsConsole  extends Composite {
    @Inject
    @DataField
    private Button login;

    @Inject
    @DataField
    private TextBox userName;

    @Inject
    @DataField
    private TextBox password;

   @PostConstruct
   public void setup() {
       Window.alert("Errai is running");

       login.addClickHandler(new ClickHandler() {
           @Override
           public void onClick(ClickEvent clickEvent) {
               doClickReceive();
           }
       });

       RootPanel.get().add(this);
   }

    void doClickReceive() {
        Window.alert("Got click");
    }
}
